Name:           stringtemplate4
Version:        4.3.4
Release:        %mkrel 1
Group:          Development/Java
Summary:        A Java template engine
License:        BSD
URL:            https://www.stringtemplate.org/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://github.com/antlr/stringtemplate4/archive/%{version}/%{name}-%{version}.tar.gz
# Adapt to JDK 11
Patch0:         %{name}-java11.patch
# Adapt tests to JDK 21
Patch1:         %{name}-java21.patch

BuildRequires:  maven-local maven-openjdk21
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.antlr:antlr-runtime) >= 3.5.2
BuildRequires:  mvn(org.antlr:antlr3-maven-plugin) >= 3.5.2
BuildRequires:  x11-server-xvfb

%description
StringTemplate is a java template engine (with ports for
C# and Python) for generating source code, web pages,
emails, or any other formatted text output. StringTemplate
is particularly good at multi-targeted code generators,
multiple site skins, and internationalization/localization.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%autosetup -p1 -n %{name}-ST4-%{version}

# sonatype-oss-parent is deprecated in Fedora
%pom_remove_parent

%build
xvfb-run -d %mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGES.txt README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Sun May 26 2024 daviddavid <daviddavid> 4.3.4-1.mga10
+ Revision: 2067710
- Version 4.3.4
- Rebuilt for java-21-openjdk as system jdk
- Adapt expected test output to JDK 21

* Sun Dec 11 2022 daviddavid <daviddavid> 4.3.3-1.mga9
+ Revision: 1920810
- new version: 4.3.3

* Thu Mar 31 2022 umeabot <umeabot> 4.3.1-2.mga9
+ Revision: 1837755
- Mageia 9 Mass Rebuild

* Sun Sep 06 2020 daviddavid <daviddavid> 4.3.1-1.mga8
+ Revision: 1622854
- Version 4.3.1
- Add -java11 patch to adapt to JDK 11
- Remove dependency on deprecated sonatype-oss-parent
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 4.0.8-6.mga8
+ Revision: 1501078
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 4.0.8-5.mga7
+ Revision: 1276339
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 4.0.8-3.mga6
+ Revision: 978160
- First rebuild of the java stack
- sync package stringtemplate4 with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 daviddavid <daviddavid> 4.0.4-9.mga5
+ Revision: 809475
- Sync with fc21
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 4.0.4-8.mga5
+ Revision: 749629
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.4-7.mga5
+ Revision: 689560
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.0.4-6.mga4
+ Revision: 519115
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 4.0.4-5.mga3
+ Revision: 383562
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 4.0.4-4.mga3
+ Revision: 292968
- FIx file perms

* Thu Feb 23 2012 kamil <kamil> 4.0.4-3.mga2
+ Revision: 212613
- adapt .spec for Mageia
- imported package stringtemplate4


* Fri Jan 13 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 4.0.4-1
- Initial version of the package

